| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Seis::RangeSelData Class Reference
Seis

selection data in simple ranges More...

`#include <seisselectionimpl.h>`

Inheritance diagram for Seis::RangeSelData:
[legend]

## Public Member Functions
| RangeSelData (bool settosurvinfo=false)
| RangeSelData (const RangeSelData &)
| RangeSelData (const TrcKeySampling &)
| RangeSelData (const TrcKeyZSampling &)
| ~RangeSelData ()
SelData * | clone () const override
void | copyFrom (const SelData &) override
Interval< int > | crlRange () const override
TrcKeyZSampling & | cubeSampling ()
const TrcKeyZSampling & | cubeSampling () const
int | expectedNrTraces (bool for2d, const BinID *) const override
void | extendZ (const Interval< float > &) override
void | fillPar (IOPar &) const override
void | include (const SelData &) override
Interval< int > | inlRange () const override
RangeSelData & | operator= (const RangeSelData &rsd)
bool | setCrlRange (const Interval< int > &) override
void | setGeomID (Pos::GeomID) override
bool | setInlRange (const Interval< int > &) override
bool | setZRange (const Interval< float > &) override
Type | type () const override
void | usePar (const IOPar &) override
Interval< float > | zRange () const override
Public Member Functions inherited from Seis::SelData
virtual | ~SelData ()
virtual void | extendH (const BinID &stepout, const BinID *stepoutstep=0)
Pos::GeomID | geomID () const
bool | isAll () const
bool | isOK (const BinID &bid) const
bool | isOK (const Pos::IdxPair &) const
| will convert to either BinID or GeomID/trcnr
bool | isOK (const TrcKey &) const
| will work in trckey's domain
bool | isOK (Pos::GeomID gid, int trcnr) const
bool | operator!= (const SelData &) const
bool | operator== (const SelData &) const
int | selRes (const BinID &bid) const
int | selRes (Pos::GeomID gid, int trcnr) const
void | setIsAll (bool yn=true)

## Protected Member Functions
void | doExtendH (BinID, BinID) override
int | selRes2D (Pos::GeomID, int trcnr) const override
int | selRes3D (const BinID &) const override
| see class doc
void | testIsAll2D ()
Protected Member Functions inherited from Seis::SelData
| SelData ()
int | tracesInSI () const

## Protected Attributes
TrcKeyZSampling & | tkzs_
Protected Attributes inherited from Seis::SelData
Pos::GeomID | geomid_
bool | isall_

## Additional Inherited Members
Public Types inherited from Seis::SelData
typedef SelType | Type
Static Public Member Functions inherited from Seis::SelData
static SelData * | get (const IOPar &)
| fully filled
static SelData * | get (const Pos::Provider &)
| filled; some defaults
static SelData * | get (Type)
| empty
static void | removeFromPar (IOPar &)

## Detailed Description

selection data in simple ranges

<>

## Constructor & Destructor Documentation

## ◆ RangeSelData() [1/4]

Seis::RangeSelData::RangeSelData | ( | bool | settosurvinfo = false | ) |

## ◆ RangeSelData() [2/4]

Seis::RangeSelData::RangeSelData | ( | const TrcKeySampling & |  | ) |

## ◆ RangeSelData() [3/4]

Seis::RangeSelData::RangeSelData | ( | const TrcKeyZSampling & |  | ) |

## ◆ RangeSelData() [4/4]

Seis::RangeSelData::RangeSelData | ( | const RangeSelData & |  | ) |

## ◆ ~RangeSelData()

Seis::RangeSelData::~RangeSelData | ( |  | ) |

## Member Function Documentation

## ◆ clone()

SelData * Seis::RangeSelData::clone | ( |  | ) | const
| inline override virtual

Implements Seis::SelData.

## ◆ copyFrom()

void Seis::RangeSelData::copyFrom | ( | const SelData & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ crlRange()

Interval< int > Seis::RangeSelData::crlRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## ◆ cubeSampling() [1/2]

TrcKeyZSampling & Seis::RangeSelData::cubeSampling | ( |  | ) |
| inline

## ◆ cubeSampling() [2/2]

const TrcKeyZSampling & Seis::RangeSelData::cubeSampling | ( |  | ) | const
| inline

## ◆ doExtendH()

void Seis::RangeSelData::doExtendH | ( | BinID | ,
|  | BinID | )
| override protected virtual

Implements Seis::SelData.

## ◆ expectedNrTraces()

int Seis::RangeSelData::expectedNrTraces | ( | bool | for2d,
|  | const BinID * | ) const
| override virtual

Implements Seis::SelData.

## ◆ extendZ()

void Seis::RangeSelData::extendZ | ( | const Interval< float > & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ fillPar()

void Seis::RangeSelData::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements Seis::SelData.

## ◆ include()

void Seis::RangeSelData::include | ( | const SelData & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ inlRange()

Interval< int > Seis::RangeSelData::inlRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## ◆ operator=()

RangeSelData & Seis::RangeSelData::operator= | ( | const RangeSelData & | rsd | ) |
| inline

## ◆ selRes2D()

int Seis::RangeSelData::selRes2D | ( | Pos::GeomID | ,
|  | int | trcnr ) const
| override protected virtual

Reimplemented from Seis::SelData.

## ◆ selRes3D()

int Seis::RangeSelData::selRes3D | ( | const BinID & |  | ) | const
| override protected virtual

see class doc

Implements Seis::SelData.

## ◆ setCrlRange()

bool Seis::RangeSelData::setCrlRange | ( | const Interval< int > & |  | ) |
| override virtual

Reimplemented from Seis::SelData.

## ◆ setGeomID()

void Seis::RangeSelData::setGeomID | ( | Pos::GeomID |  | ) |
| override virtual

Reimplemented from Seis::SelData.

## ◆ setInlRange()

bool Seis::RangeSelData::setInlRange | ( | const Interval< int > & |  | ) |
| override virtual

Reimplemented from Seis::SelData.

## ◆ setZRange()

bool Seis::RangeSelData::setZRange | ( | const Interval< float > & |  | ) |
| override virtual

Reimplemented from Seis::SelData.

## ◆ testIsAll2D()

void Seis::RangeSelData::testIsAll2D | ( |  | ) |
| protected

## ◆ type()

Type Seis::RangeSelData::type | ( |  | ) | const
| inline override virtual

Implements Seis::SelData.

## ◆ usePar()

void Seis::RangeSelData::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ zRange()

Interval< float > Seis::RangeSelData::zRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## Member Data Documentation

## ◆ tkzs_

TrcKeyZSampling& Seis::RangeSelData::tkzs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025